Subject: bug#16252: closed (Re: bug#16252: 24.3.50; `report-emacs-bug' is now broken: (error "ShellExecute failed: The system cannot find the file specified."))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 25 Dec 2013 19:37:02 +0000

Your bug report

#16252: 24.3.50; `report-emacs-bug' is now broken: (error "ShellExecute failed: The system cannot find the file specified.")

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16252: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16252
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16252: 24.3.50; `report-emacs-bug' is now broken: (error "ShellExecute failed: The system cannot find the file specified.")
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Date: Wed, 25 Dec 2013 21:36:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 25 Dec 2013 19:32:26 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date: Tue, 24 Dec 2013 22:01:38 -0800 (PST)
> > From: Drew Adams <[email-masked]>
> > 
> > This is the backtrace I got for `report-emacs-bug' (using my setup, not
> > emacs -Q):
> > 
> > Debugger entered--Lisp error: (error "ShellExecute failed: The system cannot find the file specified.")
> >   w32-shell-execute("open" "mailto:[email-masked]?subject=24.3.50%3b%20%60icomplete-mode%27%20breaks%20my%20file%20opening&body=%2a%2a%2a%20E-Mail%20body%20has%20been%20placed%20on%20clipboard%2c%20please%20paste%20it%20here%21%20%2a%2a%2a")
> 
> Sorry, my bad.  I fixed a bug in one use case for w32-shell-execute,
> but the fix screwed up another.  Now fixed in trunk revision 115742.

Closing.

Subject: 24.3.50; `report-emacs-bug' is now broken: (error "ShellExecute failed: The system cannot find the file specified.")
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Tue, 24 Dec 2013 22:01:38 -0800 (PST)
List-Id: <debbugs-submit.debbugs.gnu.org>

[Note: The build noted below is the one regarding this bug report.  I'm
using an older build to report the bug, which is about the fact that I
can no longer use `report-emacs-bug'.]

This is the backtrace I got for `report-emacs-bug' (using my setup, not
emacs -Q):

Debugger entered--Lisp error: (error "ShellExecute failed: The system cannot find the file specified.")
  w32-shell-execute("open" "mailto:[email-masked]?subject=24.3.50%3b%20%60icomplete-mode%27%20breaks%20my%20file%20opening&body=%2a%2a%2a%20E-Mail%20body%20has%20been%20placed%20on%20clipboard%2c%20please%20paste%20it%20here%21%20%2a%2a%2a")
  browse-url-default-windows-browser("mailto:[email-masked]?subject=24.3.50%3b%20%60icomplete-mode%27%20breaks%20my%20file%20opening&body=%2a%2a%2a%20E-Mail%20body%20has%20been%20placed%20on%20clipboard%2c%20please%20paste%20it%20here%21%20%2a%2a%2a" nil)
  apply(browse-url-default-windows-browser "mailto:[email-masked]?subject=24.3.50%3b%20%60icomplete-mode%27%20breaks%20my%20file%20opening&body=%2a%2a%2a%20E-Mail%20body%20has%20been%20placed%20on%20clipboard%2c%20please%20paste%20it%20here%21%20%2a%2a%2a" nil)
  browse-url-default-browser("mailto:[email-masked]?subject=24.3.50%3b%20%60icomplete-mode%27%20breaks%20my%20file%20opening&body=%2a%2a%2a%20E-Mail%20body%20has%20been%20placed%20on%20clipboard%2c%20please%20paste%20it%20here%21%20%2a%2a%2a" nil)
  apply(browse-url-default-browser "mailto:[email-masked]?subject=24.3.50%3b%20%60icomplete-mode%27%20breaks%20my%20file%20opening&body=%2a%2a%2a%20E-Mail%20body%20has%20been%20placed%20on%20clipboard%2c%20please%20paste%20it%20here%21%20%2a%2a%2a" nil)
  browse-url("mailto:[email-masked]?subject=24.3.50%3b%20%60icomplete-mode%27%20breaks%20my%20file%20opening&body=%2a%2a%2a%20E-Mail%20body%20has%20been%20placed%20on%20clipboard%2c%20please%20paste%20it%20here%21%20%2a%2a%2a")
  mailclient-send-it()
  message-send-mail-with-mailclient()
  message-multi-smtp-send-mail()
  message-send-mail(nil)
  message-send-via-mail(nil)
  message-send(nil)
  message-send-and-exit(nil)
  call-interactively(message-send-and-exit nil nil)
  command-execute(message-send-and-exit)

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-12-24 on ODIEONE
Bzr revision: 115738 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/Devel/emacs/binary --enable-checking=yes,glyphs
 'CFLAGS=-O0 -g3' LDFLAGS=-Lc:/Devel/emacs/lib
 CPPFLAGS=-Ic:/Devel/emacs/include'